package com.lukouguoji.module_base.bean

import dev.utils.app.info.KeyValue

/**
 * 字典-Location接口返回数据Bean
 */
data class DictLocationBean(
    var code: String = "",  // 编码值 (例如: "18")
    var name: String = ""   // 显示名称 (例如: "国际出港通道01")
) {
    /**
     * 转换为KeyValue
     * KeyValue(显示名称, 编码值)
     */
    fun toKeyValue() = KeyValue(name, code)
}
